Name:           matchbox-keyboard
Version:        0.1
Release:        %mkrel 5
Summary:        On screen virtual keyboard
Group:          Accessibility
License:        GPLv2+
URL:            http://matchbox-project.org/
Source0:        %{name}-%{version}.tar.gz
Patch0:         matchbox-keyboard-0.1-fix-desktop.patch
Patch1:		matchbox-keyboard-0.1-libpng1.5.patch
Patch2:		matchbox-keyboard-0.1-link.patch
Patch3:		matchbox-keyboard-0.1-automake-1.13.patch
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libfakekey)
BuildRequires: pkgconfig(xft)
BuildRequires:  libxft-devel
BuildRequires:  libxrender-devel
BuildRequires:  expat-devel
BuildRequires:  desktop-file-utils

%description
Matchbox-keyboard is an on screen 'virtual' or 'software'
keyboard. It will hopefully work well on various touchscreen
devices from mobile phones to tablet PCs running X Windows.

It aims to 'just work' supporting localised, easy to write
XML layout configuration files.

%prep
%setup -q
%patch0 -p1 -b .fix-category
%patch1 -p0 -b .libpng
%patch2 -p0 -b .link
%patch3 -p1 -b .am
# for newer libtool
autoreconf -fi

%build
%configure2_5x --enable-gtk-im
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%files
%doc AUTHORS COPYING README
%{_bindir}/matchbox-keyboard
%{_datadir}/matchbox-keyboard
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_libdir}/gtk-2.0/2.10.0/immodules/libmb-im-invoker.so


%changelog

* Sat Jan 19 2013 fwang <fwang> 0.1-5.mga3
+ Revision: 389773
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 pterjan <pterjan> 0.1-4.mga3
+ Revision: 331328
- links with libXrender (fixes build)

* Thu Sep 15 2011 fwang <fwang> 0.1-3.mga2
+ Revision: 143669
- fix linkage
- force regenerate
- drop br
- add patch
- cleanup br

* Sun Apr 10 2011 dmorgan <dmorgan> 0.1-2.6.mga1
+ Revision: 82874
- imported package matchbox-keyboard

